<?php
//RECIBO FOLIO DEL VALE
$folio=$_POST['folio'];
$bandera=0;
include ("conexion.php");

//OBTENGO DATOS DEL VALE
$cons="SELECT * FROM vales WHERE idVale ='$folio'";
$res=mysql_query($cons,$conex) or die ("No se obtuvo el registro de vales");
$origen=mysql_result($res,0,'origen');
$destino=mysql_result($res,0,'destino');
$estado=mysql_result($res,0,'estado');
$solicita=mysql_result($res,0,'solicita');
$fecha=mysql_result($res,0,'fecha');

	$cons2="SELECT clave,cantidad FROM contenido_vale WHERE idVale='$folio'";	
	$res2=mysql_query($cons2,$conex) or die ("No se realizo con exito la consulta de Equipos");
	$numero_filas2=mysql_num_rows($res2);
	$numero_campos2= mysql_num_fields($res2);
	while ($fila2=mysql_fetch_row($res2))
		{
			$cons3="SELECT existencia FROM almacenes WHERE idClinica='$origen' and idProducto='$fila2[0]'" ;//quite el precio
			$res3=mysql_query($cons3,$conex) or die ("No se realizo con exito cons3");
			$numero_filas3=mysql_num_rows($res3);
			if ($numero_filas3 == '0')
				{
					$bandera='1';
				}
				else
				{
			$numero_campos3= mysql_num_fields($res3);
			while ($fila3=mysql_fetch_row($res3))
			{	
				
					if ($fila3[0] < $fila2[1])
					{
							$consul1="INSERT INTO temp (clave) VALUES ('$fila2[0]')";
							$result1=mysql_query($consul1,$conex) or die ("No se pudo insertar a temporal");
							
							/*?>
							<script>
							location.href="main.php?a=42&error=2&prod=<?php echo $fila2[0]?>";
							</script>
							<?php
							*/
					}
					else
					{
						$cons4="SELECT * FROM almacenes WHERE idClinica='$destino' and idProducto='$fila2[0]'" ;
						$res4=mysql_query($cons4,$conex) or die ("No se realizo con exito la existencia del producto");
						$numero_filas4=mysql_num_rows($res4);
						if ($numero_filas4 == '0')
						{
							$cons5="INSERT INTO almacenes (idClinica,idProducto,existencia)
							VALUES ('$destino','$fila2[0]','$fila2[1]')";
							$res5=mysql_query($cons5,$conex) or die ("No se realizó la insercion almacenes");
							
							//ACTUALIZO LA EXISTENCIA DEL PRODUCTO ORIGEN
							$restado=$fila3[0] - $fila2[1];
							$cons9="UPDATE almacenes SET existencia='$restado' WHERE idClinica='$origen' and idProducto='$fila2[0]'";
							$res9=mysql_query($cons9,$conex) or die ("No se actualizo la existencia final del producto origen");
						}
						else
						{			  
							$cons6="SELECT existencia FROM almacenes WHERE idClinica='$destino' and idProducto='$fila2[0]'";
							$res6=mysql_query($cons6,$conex) or die ("No se actualizo la nueva existencia en clínica destino");
							$existenciaanterior=mysql_result($res6,0,'existencia');
							$nuevaexistencia=$fila2[1]+$existenciaanterior;
							//echo $nuevaexistencia;
							$cons7="UPDATE almacenes SET existencia='$nuevaexistencia'
							WHERE idClinica='$destino' and idProducto='$fila2[0]'";
							$res7=mysql_query($cons7,$conex) or die ("No se actualizo la nueva existencia en clínica destino");
							 
							 //ACTUALIZO LA EXISTENCIA DEL PRODUCTO ORIGEN
							$restado=$fila3[0] - $fila2[1];
							$cons9="UPDATE almacenes SET existencia='$restado' WHERE idClinica='$origen' and idProducto='$fila2[0]'";
							$res9=mysql_query($cons9,$conex) or die ("No se actualizo la existencia final del producto origen");
						}
						 //ACTUALIZO EL ESTADO DEL VALE
						$cons8="UPDATE vales SET estado='Autorizado' WHERE idVale='$folio'";
						$res8=mysql_query($cons8,$conex) or die ("No se actualizo el estado del vale");
					}
				}
			}//end ELSE $numero_filas3=0
		}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>UCA :.</title>
<link href="ucaestilos.css" rel="stylesheet" type="text/css" />
<style type="text/css">
<!--
body {
	background-color: #CCCCCC;
}
-->
</style></head>

<body>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td><img src="img/top02.jpg" width="800" height="100" /></td>
  </tr>
  <tr>
    <td><br />
      <table width="750" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td>
		  <?php



//NOMBRE DE LAS CLINICAS ORIGEN Y DESTINO

$cons60="SELECT clinica FROM clinicas WHERE idClinica='$origen'";
$res60=mysql_query($cons60,$conex) or die ("No se obtubo el nombre de clinica origen");
$clinica1=mysql_result($res60,0,'clinica');

$cons70="SELECT clinica FROM clinicas WHERE idClinica='$destino'";
$res70=mysql_query($cons70,$conex) or die ("No se obtubo el nombre de clinica destino");
$clinica2=mysql_result($res70,0,'clinica');

?>
		  
		  <div align="center">
		    <table width="750" border="0" align="center">
              <tr>
                <td><table width="82%" border="0" align="center" cellspacing="0">
                    <tr>
                      <td width="27%"><hr /></td>
                      <td width="46%" align="center"><span class="style7">Vale de Almacen Autorizado </span></td>
                      <td width="27%"><hr /></td>
                    </tr>
                  </table>
                    <br />
                    <table width="82%" border="1" align="center" cellspacing="2">
                      <tr>
                        <td width="51%"><span class="style4">Solicita:</span><span class="style5"> <?php echo $solicita;?></span></td>
                        <td width="28%"><span class="style4">Fecha:</span> <span class="style5"><?php echo $fecha;?></span></td>
                        <td width="21%"><span class="style4">Folio:</span> <span class="style3"><?php echo $folio;?></span></td>
                      </tr>
                      <tr>
                        <td><span class="style4">De la cl&iacute;nica:</span><span class="style5"> <?php echo $clinica1;?></span></td>
                        <td colspan="2"><span class="style4">A la cl&iacute;nica:</span><span class="style5"> <?php echo $clinica2;?></span></td>
                      </tr>
                    </table>
                  <p align="center" class="style7">
                      <?php

echo "<table border=1>";
echo "<tr bgcolor='#0D3356' class='titulo' align='center'>";

echo "<td class='style4'>";
echo " Id ";
echo "</td>";


echo "<td class='style4'>";
echo "Nombre";
echo "</td>";

echo "<td class='style4'>";
echo "Descripci&oacute;n";
echo "</td>";


echo "<td class='style4'>";
echo "Presentaci&oacute;n";
echo "</td>";

echo "<td class='style4'>";
echo "Cantidad";
echo "</td>";

echo "<td class='style4'>";
echo "Transferencia";
echo "</td>";

echo "</tr>";
include ("conexion.php");

	$cons30="SELECT clave,cantidad FROM contenido_vale WHERE idVale='$folio'";
	$res30=mysql_query($cons30,$conex) or die ("No se realizo el barrido en la tabla contenido_vale");
	while($fila20 = mysql_fetch_array($res30))
	{		
			$query0="SELECT clave,nombre,descripcion FROM productos Where clave='$fila20[0]'";
			$result0=mysql_query($query0,$conex) or die ("No se consultaron los productos");
			$numero_filas0=mysql_num_rows($result0);
			$numero_campos0= mysql_num_fields($result0);
			while($fila0 = mysql_fetch_array($result0))
			{

         
echo "<tr align='center'>";

//CONSULTO NOMBRE DE LA PRESENTACION
$cons10="SELECT idPresentacion FROM  productos WHERE clave='".$fila0[0]."'";
$res10=mysql_query($cons10,$conex) or die ("No consulto ID de presentacion");
$idpresen=mysql_result($res10,0,'idPresentacion');

$cons20="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresen'";
$res20=mysql_query($cons20,$conex) or die ("No consulto nombre de presentacion");
$presen=mysql_result($res20,0,'presentacion');

 for ($y=0;$y< $numero_campos0;$y++)
 {

echo "<td class='style1'>";
echo $fila0[$y];
echo "</td>";

}


//IMPRIMO PRESENTACION
echo "<td class='style1'>";
echo $presen;
echo "</td>";

//CANTIDAD
echo "<td class='titulo' bgcolor='#999999'>";
echo $fila20[1];
echo "</td>";

}

//VERIFICO EXISTENCIA EN TABLA DE TEMP
$consulta1="SELECT * FROM temp WHERE clave='$fila20[0]'";
$resultado1=mysql_query($consulta1,$conex) or die ("No se consulto la tabla de temp");
$existetemp=mysql_num_rows($resultado1);

if ($bandera == '0')
{
	if ($existetemp == '0')
	{
		//VALORES TRANSFERENCIA BUENA
		$imagen="good.jpg";
		$textoalt="La transferencia fue un éxito";
	}
	else
	{
		//VALORES TRANSFERENCIA MALA
		$imagen="bad.jpg";
		$textoalt="No existen suficientes productos en almacen origen";
	}
}
else
{
	$imagen="bad.jpg";
	$textoalt="No existe el producto en almacen origen";
}
//IMPRIMIR ESTADO DE LA TRANSFERENCIA
echo "<td class='style4'>";
echo "<img src='img/".$imagen."' border='0' ALT='".$textoalt."'>";
echo "</td>";

echo "</tr>";
}


echo "</table>";

//VACIAR TABLA DE TEMP
$vaciado=mysql_query("truncate temp",$conex) or die ("No se vacio la tabla de temp");
?>
                  </p>
                  <p align="center" class="style1">*Coloque el cursor sobre el icono de transferencia para ver comentarios. </p></td>
              </tr>
            </table>
		  </div></td>
        </tr>
      </table>
      <br />
      <table width="108" border="0" align="center" cellspacing="10">
        <tr>
          <td width="86"><form id="form1" name="form1" method="post" action="main.php">
              <div align="center">
                <p>
                  <input name="Submit2" type="submit" class="boton2" value="Volver a inicio" />
                </p>
              </div>
          </form></td>
        </tr>
      </table>
      <br>
      <table width="100%" border="0">
         <tr>
        <td height="26" style="background-color:#0D3356;">
        <div align="center" id="noimprimible">
          <table width="99%" border="0" align="center" cellpadding="2" cellspacing="0">
            <tr>
              <td align="center" class="style8">Desarrollado para la Universidad Cuauht&eacute;moc por <a href="http://www.upweb.mx" target="_blank"><img src="img/webmaster.svg" style="height:16px; vertical-align:bottom;"></a></td>
            </tr>
          </table>
        </div></td>
        </tr>
      </table></td></tr>
</table>
</body>
</html>
